Bug 1107991 - When password is not defined in xa datasource recovery is not run in any case
Summary: When password is not defined in xa datasource recovery is not run in any case
Keywords:
Status: CLOSED DUPLICATE of bug 1132192
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: JCA
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: EAP 6.4.0
Assignee: Martin Simka
QA Contact: Ondrej Chaloupka
Russell Dickenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-11 08:57 UTC by Ondrej Chaloupka
Modified: 2014-10-25 12:07 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-25 09:16:50 UTC
Type: Bug


Attachments (Terms of Use)
server.log with trace on Narayana (107.98 KB, text/x-log)
2014-06-11 08:57 UTC, Ondrej Chaloupka
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1130281 None None None Never
Red Hat One Jira Issue Tracker JBJCA-1181 Major Closed Recovery is not run for XA datasource which does not define password under <security> 2018-04-06 11:59:01 UTC
Red Hat One Jira Issue Tracker JBTM-2190 Major Closed Recovery is not run for XA datasource which does not define password under <security> 2018-04-06 11:59:01 UTC

Internal Links: 1130281

Description Ondrej Chaloupka 2014-06-11 08:57:55 UTC
Created attachment 907536 [details]
server.log with trace on Narayana

If xa datasource does not define password then recovery is not run neither in case that password is not needed for connection to database.

When you define just:
 <security>
   <user-name>crashrec</user-name>
</security>

Then attempt for recovery ends with WARNING and recovery itself it's not run for the particular XA datasource:
10:12:58,137 WARN  [org.jboss.jca.core.tx.jbossts.XAResourceRecoveryImpl] (Periodic Recovery) IJ000904: No security domain defined for crash recovery: java:jboss/xa-datasources/CrashRecoveryDS
10:12:58,138 WARN  [org.jboss.jca.core.tx.jbossts.XAResourceRecoveryImpl] (Periodic Recovery) IJ000905: Subject for crash recovery was null: java:jboss/xa-datasources/CrashRecoveryDS

Comment 1 Jesper Pedersen 2014-09-02 19:51:03 UTC
Fixed as part of JBJCA-1181

Comment 2 Ondrej Chaloupka 2014-09-03 12:11:29 UTC
Based on bz#1130281 the fix does not work.

This issue is meant for 6.4.0. Setting the versions appropriately.

Comment 3 JBoss JIRA Server 2014-09-12 13:41:35 UTC
Ivo Studensky <istudens@redhat.com> updated the status of jira JBJCA-1181 to Reopened

Comment 4 JBoss JIRA Server 2014-09-12 13:49:15 UTC
Jesper Pedersen <jpederse@redhat.com> updated the status of jira JBJCA-1181 to Closed

Comment 5 Martin Simka 2014-09-25 09:16:50 UTC

*** This bug has been marked as a duplicate of bug 1132192 ***


Note You need to log in before you can comment on or make changes to this bug.